Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  Messen im CATProduct. Abstand Part Part oder Part Product

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Messen im CATProduct. Abstand Part Part oder Part Product (1710 mal gelesen)
Knowledge
Mitglied
Dipl. Ing.


Sehen Sie sich das Profil von Knowledge an!   Senden Sie eine Private Message an Knowledge  Schreiben Sie einen Gästebucheintrag für Knowledge

Beiträge: 106
Registriert: 02.03.2004

erstellt am: 28. Apr. 2010 18:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


meine_Struktur.gif

 
Hallo zusammen,

ich habe gerade ei Problem und benötige eure Hilfe.

Ich habe in eine Produktstruktur am Wickel. Diese besteht aus Parts und Produkten. Für jedes CATPart möchte ich die Abmessungen in X, Y und Z erhalten.

Hierzu habe ich mir ein Produkt erstellt, dass ebene Flächen enthält.

Mein Ziel ist es, eine Messung zwischen zwei Parts zu zu erzeugen. Leider klappt es nicht.

Hier mein Quellcode.

Sub AbmessungenPart(oProduct As Product) 'hier kommt ein CATPart rein.
   
    ' Wähle das Produkt zum Messen an.
    Dim oRoot As Document
    Set oRoot = CATIA.ActiveDocument
   
    Dim oProducts2 As Products
    Set oProducts2 = oRoot.Product.Products
   
    ' Letztes Element ist das Product mit den Messparts
    Dim oProduct2 As Product
    Set oProduct2 = oProducts2.Item(oProducts2.Count)
   
    'Zugriff auf den Namen des letzten Elements
    Dim oDocument2 As Document
    Set oDocument2 = oProduct2.ReferenceProduct.Parent
   
    'Name wird gesetzt
    Dim NameCATProduct2 As String
    NameCATProduct2 = oDocument2.Name

    Dim oProducts3 As Products
    Set oProducts3 = oProduct2.Products
   
    Dim II As Integer
    Dim oProduct3 As Product
    Dim TheSPAWorkbench As SPAWorkbench
    Dim TheMeasurable As Measurable
    Dim MinDist As Double
   
    For II = 1 To oProducts3.Count
       
        ' wähle das n. Part aus dem Produkt
        Set oProduct3 = oProducts3.Item(II)

        'hier Messen
       
        Set TheSPAWorkbench = CATIA.ActiveDocument.GetWorkbench
              ("SPAWorkbench")
        Set TheMeasurable = TheSPAWorkbench.GetMeasurable(oProduct3)
               
-->    MinDist = TheMeasurable.GetMinimumDistance(oProduct)
       
        MsgBox MinDist
   
    Next
   
End

Er wirft hier "-->" den Fehler, dass die Typen unverträglich sein. Hat jemend eine Idee, wie ich hier weiterkommen kann?

Danke für Eure Hilfe!

Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10957
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 28. Apr. 2010 21:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Knowledge 10 Unities + Antwort hilfreich

Servus
Such mal im Forum nach "BoundingBox".
AFAIK gibt es da auch schon ein paar Ansätze zur Bestimmung der Rohteilabmessungen (zB hier).

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Knowledge
Mitglied
Dipl. Ing.


Sehen Sie sich das Profil von Knowledge an!   Senden Sie eine Private Message an Knowledge  Schreiben Sie einen Gästebucheintrag für Knowledge

Beiträge: 106
Registriert: 02.03.2004

erstellt am: 29. Apr. 2010 07:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Moin Moin Bernd,

ich danke für Deine Bntwort.
Die Beiträge zum Thema BoundingBox beziehen sich in Gänze auf das Messen innerhalb eines CATParts. Ich intendiere eine Messung innerhalb vom Produkt. Hier möchte ich eine Messung zwischen Zwei Parts initialisieren.
Daher helfen mir die Beiträge zum Thema BoundingBox nur bedingt.

Trotzdem Danke ich für den Hinweis.

Gruß

Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

zoltan.bekesi
Mitglied



Sehen Sie sich das Profil von zoltan.bekesi an!   Senden Sie eine Private Message an zoltan.bekesi  Schreiben Sie einen Gästebucheintrag für zoltan.bekesi

Beiträge: 321
Registriert: 22.10.2006

Job:
CATIA V5R19 / XP 32bit
MS Office 2003
Microstation V8 2004 Edition
DELL Precision M6300

erstellt am: 29. Apr. 2010 17:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Knowledge 10 Unities + Antwort hilfreich

Hallo Ralf,

so richtig verstehe ich nicht was du messen willst und wie du so auf ein Boundingbox kommst, unter Products kannst du aber nur mir Referenzen messen, die mit CreateReferenceFromName erzeugt wurden, zumindest bei Geometrien innerhalb zweier Parts geht es so.
Dazu kann ich dir folgende Beiträge vorschlagen:
Beitrag 1
Beitrag 2
Ähnliche Referenzen werden bei der Erzeugung von Constraints auch verwendet, bzw. von der Makrorekorder aufgenommen.
Ich hoffe, es hilft dir weiter.

Gruß,
Zoltan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Knowledge
Mitglied
Dipl. Ing.


Sehen Sie sich das Profil von Knowledge an!   Senden Sie eine Private Message an Knowledge  Schreiben Sie einen Gästebucheintrag für Knowledge

Beiträge: 106
Registriert: 02.03.2004

erstellt am: 03. Mai. 2010 08:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zoltan,

hier noch mal zur Erklärung..
Ich habe in ein CATProduct ein weiteres CATProduct eingefügt. Dieses weitere Produkt enthält 6 CATParts. Jedes der CATParts enthält eine große ebene Fläche, die ausreichend weit vom Bauteil entfernt ist.
Nun möchte ich die Abstände ermitteln, die auch eine manuelle Messung von Part zu Part ergeben würde. Eines der 6 Parts gegen ein anderes CATPart oder Produkt.
Dieses soll mir den Abstand zw. beiden Parts liefern. Damit kann ich dann Rückschluss auf die Größe des gemessenen Einzelteils ziehen.

Mein Problem ist nun, dass ich dazu eine Messung von Part zu Part machen muss/will. Ich will also messen, OHNE die Geometrie dirket zu elektieren. Ich will auf Produktebene Messen.

Gruß

Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10957
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 03. Mai. 2010 08:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Knowledge 10 Unities + Antwort hilfreich

Servus
Du könntest auch statt der Messung nur Ebenen platzieren -> überprüfen ob eine Kollision zwischen Ebenen und Bauteil sind -> wenn keine Kollision Ebene um zB 1mm versetzen -> Schleife solange wiederholen bis Ebene und Bauteil sich schneiden

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Knowledge
Mitglied
Dipl. Ing.


Sehen Sie sich das Profil von Knowledge an!   Senden Sie eine Private Message an Knowledge  Schreiben Sie einen Gästebucheintrag für Knowledge

Beiträge: 106
Registriert: 02.03.2004

erstellt am: 03. Mai. 2010 08:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Bernd,

Danke für den Tipp.

Jedoch ist es so, dass ich Produkte habe, die z.T. mehrere 100 Modelle beinhalten. Daher tue ich mich schwer damit, in jedes einzelne Part einzutauchen. Ferner sind die Daten freigegeben. Auch daher möchte ich ungern in dem Part Geometrie erstellen.

Ich muss doch wirklich im Produkt beleiben. .. 

Hilfe

Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

EngineeredByRobberts
Mitglied
Ingenieur


Sehen Sie sich das Profil von EngineeredByRobberts an!   Senden Sie eine Private Message an EngineeredByRobberts  Schreiben Sie einen Gästebucheintrag für EngineeredByRobberts

Beiträge: 109
Registriert: 27.04.2010

Dell Precision 690
Windows XP
V5R19SP3 V5R17SP0

erstellt am: 03. Mai. 2010 08:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Knowledge 10 Unities + Antwort hilfreich

im 'V5Automation.chm'gibts es unter 'Working with Space Analysis' ein Beispiel wie man mit DMU Space Analysis Abstände berechnen kann 'CAASpaMaximumSeparation.CATScript'

------------------
- Robert

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Knowledge
Mitglied
Dipl. Ing.


Sehen Sie sich das Profil von Knowledge an!   Senden Sie eine Private Message an Knowledge  Schreiben Sie einen Gästebucheintrag für Knowledge

Beiträge: 106
Registriert: 02.03.2004

erstellt am: 03. Mai. 2010 13:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo und danke!

Klasse Tipp!

hier sehe ich eine Chance!! 

Ich gebe mal Rückmeldung, wenn es geklappt hat!!!

Gruß

Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

zoltan.bekesi
Mitglied



Sehen Sie sich das Profil von zoltan.bekesi an!   Senden Sie eine Private Message an zoltan.bekesi  Schreiben Sie einen Gästebucheintrag für zoltan.bekesi

Beiträge: 321
Registriert: 22.10.2006

Job:
CATIA V5R19 / XP 32bit
MS Office 2003
Microstation V8 2004 Edition
DELL Precision M6300

erstellt am: 03. Mai. 2010 19:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Knowledge 10 Unities + Antwort hilfreich

Hallo Ralf,

ist zwar kein Code, aber ein ähnlicher Konzept schön beschrieben.
In der Mitte von tomtom

Gruß,
Zoltan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz